## typespeed 0.6.5

=== debian/changelog ===
typespeed (0.6.5-8) unstable; urgency=low

  * Orphan

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 22 Jul 2025 23:44:53 +0200

typespeed (0.6.5-7) unstable; urgency=low

  * Machine readable copyright file
  * Bump Standards-Version to 4.7.0
  * Add .desktop file (Closes: #738051)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 15 Sep 2024 15:10:37 +0200

typespeed (0.6.5-6) unstable; urgency=low

  * Set myself as maintainer (Closes: #965388)
  * Update d/watch file
  * Set Rules-Requires-Root to no
  * Remove compatibility of scores with version 0.4, hasn't existed in 18 years
  * Set permissions on install, so it works also if games has a different id
    than on the build system
  * Do not install convert command

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 06 Apr 2024 12:15:39 +0200

typespeed (0.6.5-5) unstable; urgency=medium

  * QA upload
  * Drop unnecessary B-D quilt
  * Correct Homepage (Closes: #662805)
  * Pass --host to configure (Closes: #894117)
  * Clean typespeedrc (Closes: #1046694)
  * Drop unnecessary Depends

  [ Helmut Grohne ]
  * Propagate CC from configure to make

 -- Bastian Germann <bage@debian.org>  Tue, 26 Mar 2024 20:16:06 +0000

typespeed (0.6.5-4) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on quilt.
    + typespeed: Drop versioned constraint on coreutils in Depends.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 20 Aug 2021 13:38:47 +0100

typespeed (0.6.5-3) unstable; urgency=medium

  * QA upload.
  * Remove obsolute gbp.conf
  * Mark source format as 3.0
  * Fix FTBFS with gcc-10. (Closes: #957887)
  * Update Standards-Version to 4.5.0
  * Use debhelper-compat.
    - Update to compat level 13.
    - Simplify d/rules.
    - Remove dependency on autotools-dev.
  * Remove obsolute README.source
  * Move Vcs to salsa.
  * Orphan the package. (See: #965388)
  * Remove whitespace from d/changelog.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 24 Jul 2020 11:07:59 +0100

typespeed (0.6.5-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * postrm: Do not fail on removal of a missing directory.  (Closes: #767669)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 01 Dec 2014 04:17:42 +0100

typespeed (0.6.5-2) unstable; urgency=medium

  * Use autotools-dev to update config.{guess,sub} during build.
    Patch by Fernando Seiti Furusato. Closes: #756284.

 -- Dafydd Harries <daf@debian.org>  Wed, 30 Jul 2014 10:17:55 -0400

typespeed (0.6.5-1) unstable; urgency=high

  * New upstream version. Closes: #561671.
  * Import into git.
  * Use quilt for patches.
  * Fix typo in Italian translation. Closes: #561672.
  * Update for standards version 3.8.4:
    - Add debian/README.source file.

 -- Dafydd Harries <daf@debian.org>  Fri, 12 Feb 2010 23:01:40 -0500

typespeed (0.6.4-2) unstable; urgency=high

  * High priority so that fix for #454527 gets into testing.
  * Make postinst not fail in case where old /var/games/typespeed directory
    doesn't exist. Closes: #454963.
  * Make typespeed executable sgid games so that it can write high score file.

 -- Dafydd Harries <daf@debian.org>  Sat, 08 Dec 2007 14:57:56 +0000

typespeed (0.6.4-1) unstable; urgency=high

  * New upstream release. Closes: #375136.
    - High priority due to fix for DoS attack. Closes: #454527
      (CVE-2007-6220).
    - Fixes segfault when $HOME is unset. Closes: #355887.
    - Adds Italian and French word lists, Dutch word file merged.
  * New upstream maintainer.
    - Update homepage URL, debian/copyright, debian/watch.
    - This version is not network-compatible with versions prior to 0.5.2.
    - Stricter network code.
    - Improved memory management.
  * High score file format has changed: install score conversion program to
    /usr/lib/typespeed and run it when package is configured.
  * postinst:
    - Remove obsolete score file backup/create/restore code.
    - Add code to upgrade score files to the new text-based format.
  * rules:
    - Update to new autotools build.
    - Put stamp files in debian/.
    - Support DEB_BUILD_OPTS=noopt.
  * Remove unnecessary debian/install.
  * Update man page installation.
  * Change menu file to Games/Action section as per new menu policy.
  * Bump to debhelper compat version 5.
  * Bump standards version to 3.7.3.

 -- Dafydd Harries <daf@debian.org>  Fri, 07 Dec 2007 05:14:13 +0000

typespeed (0.4.4-10) unstable; urgency=high

  * High urgency due to security fix.
  * Apply patch from Niko Tyni to fix buffer overflow (CVE-2006-1515).

 -- Dafydd Harries <daf@debian.org>  Fri,  5 May 2006 17:31:42 +0100

typespeed (0.4.4-9) unstable; urgency=low

  * Rebuild with newer debhelper so that menu file gets installed in
    /usr/share. Also, capitalise "Typespeed" in the menu entry.
    Closes: #357805.
  * debian/control: Update email address; bump standards version (no changes).

 -- Dafydd Harries <daf@debian.org>  Sat, 25 Mar 2006 23:23:40 +0000

typespeed (0.4.4-8) unstable; urgency=high

  * Security upload.
  * Applied patch by Ulf Härnhammar to fix a format string vulnerability in
    file.c. (CAN-2005-0105) Closes: #295556.

 -- Dafydd Harries <daf@muse.19inch.net>  Wed, 16 Feb 2005 22:15:38 +0200

typespeed (0.4.4-7) unstable; urgency=low

  * Add a watch file.
  * Update the upstream URL in the copyright fiile.
  * Add a new description with the package's homepage.
  * Declare CFLAGS as a variable in debian/rules so that it can be overridden
    rather than just passing the desired flags to the recursive make
    invocation.

 -- Dafydd Harries <daf@muse.19inch.net>  Sun,  1 Aug 2004 01:39:38 +0100

typespeed (0.4.4-6) unstable; urgency=low

  * debian/postinst:
    - Only do configuration things when called with "configure".
    - Don't fail if there are no high score files to move.
  * debian/changelog:
    - Insert entries by security team that went missing.


