=== debian/control ===
Source: typespeed
Build-Depends: debhelper-compat (= 13), libncurses-dev
Section: games
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.7.0
Homepage: https://typespeed.sourceforge.net/
Vcs-Git: https://salsa.debian.org/debian/typespeed.git
Vcs-Browser: https://salsa.debian.org/debian/typespeed
Rules-Requires-Root: no

Package: typespeed
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Zap words flying across the screen by typing them correctly
 Typespeed is a game in which words fly across your screen. Your task is to
 zap the words by typing them before they cross the screen. If too many words
 get by you, the game is over.
